Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79467 - "len() of unsized object"; linux text upgrade boot loader configuration
Summary: "len() of unsized object"; linux text upgrade boot loader configuration
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-11 23:04 UTC by John Reiser
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-25 14:53:36 UTC


Attachments (Terms of Use)
anaconda crash dump (deleted)
2002-12-11 23:05 UTC, John Reiser
no flags Details

Description John Reiser 2002-12-11 23:04:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
ananconda crashed during upgrade from CD-ROM, in the initial dialogs before
installing any packages.  I used text mode, English, US keyboard, USB mouse (3
buttons), no customize package list, upgrade 1 of 2 partitions (hda3 has RHL8.0
and no boot loader [use floppy instead]; hda5 has RHL7.3 and uses GRUB in MBR
with hda1 as /boot), Skip boot loader updating, crash.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. CD-ROM boot from KRUD linux (tummy.com) 2002-12-01, which is RHL8.0 with all
upgrades applied as of the 1st of each month.
2. boot "linux text"; English; US keyboard; USB mouse (3 buttons), no customize
package list; upgrade 1 of 2 partitions
3. Skip boot loader updating
	

Actual Results:  Upgrade Boot Loader Configuration

The installer is unable to detect the boot loader
currently in use on your system.

( ) Update boot loader configuration
(*) Skip boot loader updating
( ) Create new boot loader configuration

[OK] Back

An unhandled exception has occurred.  This
is most likely a bug.  Please copy the full
text of this exception or save the crash
dump to a floppy then file a detailed bug
report against anaconda at
http://bugzilla.redhat.com/bugzilla/

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 694, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/text.py", line
425, in run
    rc = apply(2in, (self.screen, ) + args)
  File
"/usr/lib/anaconda/textw/upgrade_bootloader
_text.py", line 113, in __call__
    self.bl.setDevice(self.bootDev)
  File "/usr/lib/booty/bootloaderInfo.py",
line 206, in setDevice
    (dev, part) = getDiskPart(device)
  File "/usr/lib/booty/bootLoaderInfo.py",
line 1231, in getDiskPart
    cut = len(dev)
TypeError: len() of unsized object

[OK] Save Debug


Expected Results:  Normal upgrade, no crash.

Additional info:

anacdump.txt will be attached.

Comment 1 John Reiser 2002-12-11 23:05:07 UTC
Created attachment 88487 [details]
anaconda crash dump

Comment 2 Jeremy Katz 2003-01-03 01:55:38 UTC
Fixed in CVS.  For now, you can work around by selecting 'Create new boot loader
configuration'

Comment 3 Brent Fox 2003-05-25 14:53:36 UTC
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.


Note You need to log in before you can comment on or make changes to this bug.